#ifndef STA_RTOS_SYSTEM_WATCHDOG_HANDLES_HPP
#define STA_RTOS_SYSTEM_WATCHDOG_HANDLES_HPP

#include <sta/rtos/system/watchdog.hpp>

#include <cmsis_os2.h>


#define WATCHDOG_TASK_HANDLE    STA_RTOS_MAKE_HANDLE_NAME(STA_RTOS_WATCHDOG_TASK_NAME)
#define WATCHDOG_TIMER_HANDLE   STA_RTOS_MAKE_HANDLE_NAME(STA_RTOS_WATCHDOG_TIMER_NAME)


// Access handles from freertos.c
extern osThreadId_t WATCHDOG_TASK_HANDLE;
extern osTimerId_t  WATCHDOG_TIMER_HANDLE;


#endif // STA_RTOS_SYSTEM_WATCHDOG_HANDLES_HPP
